
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.seaswimmerthefsh.heartgeodes.init;

import net.seaswimmerthefsh.heartgeodes.block.entity.SmallHeartBudBlockEntity;
import net.seaswimmerthefsh.heartgeodes.block.entity.MediumHeartBudBlockEntity;
import net.seaswimmerthefsh.heartgeodes.block.entity.LargeHeartBudBlockEntity;
import net.seaswimmerthefsh.heartgeodes.block.entity.HeartClusterBlockEntity;
import net.seaswimmerthefsh.heartgeodes.block.entity.BuddingHeartBlockBlockEntity;
import net.seaswimmerthefsh.heartgeodes.HeartgeodesMod;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.entity.BlockEntityType;
import net.minecraft.world.level.block.Block;

public class HeartgeodesModBlockEntities {
	public static final DeferredRegister<BlockEntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.BLOCK_ENTITY_TYPES, HeartgeodesMod.MODID);
	public static final RegistryObject<BlockEntityType<?>> BUDDING_HEART_BLOCK = register("budding_heart_block", HeartgeodesModBlocks.BUDDING_HEART_BLOCK, BuddingHeartBlockBlockEntity::new);
	public static final RegistryObject<BlockEntityType<?>> HEART_CLUSTER = register("heart_cluster", HeartgeodesModBlocks.HEART_CLUSTER, HeartClusterBlockEntity::new);
	public static final RegistryObject<BlockEntityType<?>> LARGE_HEART_BUD = register("large_heart_bud", HeartgeodesModBlocks.LARGE_HEART_BUD, LargeHeartBudBlockEntity::new);
	public static final RegistryObject<BlockEntityType<?>> MEDIUM_HEART_BUD = register("medium_heart_bud", HeartgeodesModBlocks.MEDIUM_HEART_BUD, MediumHeartBudBlockEntity::new);
	public static final RegistryObject<BlockEntityType<?>> SMALL_HEART_BUD = register("small_heart_bud", HeartgeodesModBlocks.SMALL_HEART_BUD, SmallHeartBudBlockEntity::new);

	private static RegistryObject<BlockEntityType<?>> register(String registryname, RegistryObject<Block> block, BlockEntityType.BlockEntitySupplier<?> supplier) {
		return REGISTRY.register(registryname, () -> BlockEntityType.Builder.of(supplier, block.get()).build(null));
	}
}
